﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Media;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Helpers;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class RowStyleSelector : StyleSelector
    {
        public override Style SelectStyle(object item, DependencyObject container)
        {
            var record = (item as DataRow).RowData as Model;
            if (record == null)
                return base.SelectStyle(item, container);
            if (record.IsIgnored)
            {
                return App.Current.Resources["IgnoredStyle"] as Style;
            }
            else if (record.IsInDelivery)
            {
                return App.Current.Resources["DeliveredStyle"] as Style;
            }
            return base.SelectStyle(item, container);
        }
    }

}
