﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.UI.Xaml.Grid.Helpers;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Interactivity;

namespace SfDataGridDemo
{
    public class SfDataGridBehavior : Behavior<SfDataGrid>
    {
        protected override void OnAttached()
        {
            base.OnAttached();
            this.AssociatedObject.CurrentCellValueChanged += AssociatedObject_CurrentCellValueChanged;
            this.AssociatedObject.CurrentCellEndEdit += AssociatedObject_CurrentCellEndEdit;
        }
        bool isValueChanged = false;
        private void AssociatedObject_CurrentCellEndEdit(object sender, CurrentCellEndEditEventArgs e)
        {
            if (!isValueChanged)
                return;
            var grid = sender as SfDataGrid;
            //getting GridCell
            var cell =
                (grid.SelectionController.CurrentCellManager.CurrentCell.Renderer as GridCellRendererBase)
                    .CurrentCellElement;

            if (cell != null)
            {
                grid.UpdateDataRow(e.RowColumnIndex.RowIndex);
            }
            isValueChanged = false;
        }

        private void AssociatedObject_CurrentCellValueChanged(object sender, CurrentCellValueChangedEventArgs e)
        {
            isValueChanged = true;
        }
    }
}
